
import { dcTableData } from '../data/table/dcData';
import { doubleYBarCharPackage, keyValuePackage, onceYBarChartPackage, rankPackage, tablePackage } from '../dataPackage/inFrontOut';
import { getDoubleYBarChartOut, getKeyValueOut, getOnceYBarChartOut, getTableOut } from '../dataPackage/out';

/*                            弹窗                    */

export function getData(req, res) {
    let excelData = dcTableData();

    let ret:any = {};

    let jcsjPackageData = keyValuePackage(excelData['基础数据'].dataList);
    ret['jcsj'] = getKeyValueOut('基础数据', jcsjPackageData);
                    
    let qxlbTableData = tablePackage(excelData["缺陷列表"].headerList[0], excelData["缺陷列表"].bodyList);
    ret['qxlb'] = getTableOut( '缺陷列表', qxlbTableData);
                     
    res.send(ret);
} 