
import { ypTableData } from '../data/table/ypData';
import { doubleYBarCharPackage, keyValuePackage, onceYBarChartPackage, rankPackage, tablePackage } from '../dataPackage/inFrontOut';
import { getDoubleYBarChartOut, getKeyValueOut, getOnceYBarChartOut, getTableOut } from '../dataPackage/out';

/*                            右屏                    */

export function getData(req, res) {
    let excelData = ypTableData();

    let ret:any = {};

    let qxtjPackageData = keyValuePackage(excelData['缺陷统计'].dataList);
    ret['qxtj'] = getKeyValueOut('缺陷统计', qxtjPackageData);
                    
    let qxlxfbPackageData = keyValuePackage(excelData['缺陷类型分布'].dataList);
    ret['qxlxfb'] = getKeyValueOut('缺陷类型分布', qxlxfbPackageData);
                    
    let qxfxPackageData = keyValuePackage(excelData['缺陷分析'].dataList);
    ret['qxfx'] = getKeyValueOut('缺陷分析', qxfxPackageData);
                    
    let jlcxlbTableData = tablePackage(excelData["记录查询列表"].headerList[0], excelData["记录查询列表"].bodyList);
    ret['jlcxlb'] = getTableOut( '记录查询列表', jlcxlbTableData);
                     
    res.send(ret);
} 