
import * as asyncHandler from 'express-async-handler'

import * as zpBiz from '../biz/zp';
        
import * as zjBiz from '../biz/zj';
        
import * as ypBiz from '../biz/yp';
        
import * as dcBiz from '../biz/dc';
        
export function setRouter(httpServer){

    //======post
    
    httpServer.post('/zp', asyncHandler(zpBiz.getData));
        
    httpServer.post('/zj', asyncHandler(zjBiz.getData));
        
    httpServer.post('/yp', asyncHandler(ypBiz.getData));
        
    httpServer.post('/dc', asyncHandler(dcBiz.getData));
        
            
    //======get
    
    httpServer.get('/zp', asyncHandler(zpBiz.getData));
        
    httpServer.get('/zj', asyncHandler(zjBiz.getData));
        
    httpServer.get('/yp', asyncHandler(ypBiz.getData));
        
    httpServer.get('/dc', asyncHandler(dcBiz.getData));
        
}
    